/*
 *This file is part of MlView.
 *
 *MlView is free software; you can redistribute 
 *it and/or modify it under the terms of 
 *the GNU General Public License as published by the 
 *Free Software Foundation; either version 2, 
 *or (at your option) any later version.
 *
 *GNU MlView is distributed in the hope that it will 
 *be useful, but WITHOUT ANY WARRANTY; 
 *without even the implied warranty of 
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *See the GNU General Public License for more details.
 *
 *You should have received a copy of the 
 *GNU General Public License along with MlView; 
 *see the file COPYING. 
 *If not, write to the Free Software Foundation, 
 *Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 *Copyright 2001-2002 dodji SEKETELI, Gal CHAMOULAUD.
 *http://www.freespiders.org
 */

/**
 *This class is only the abstraction of a name/value pair that rely on the GTK typing system. 
 *
 */

#ifndef __MLVIEW_NAME_VALUE_PAIR_H__
#  define __MLVIEW_NAME_VALUE_PAIR_H__
#  include <gnome.h>

#  ifdef __cplusplus
extern "C" {
#  endif
       /*__cplusplus*/

#  define GTK_TYPE_MLVIEW_NAME_VALUE_PAIR (mlview_name_value_pair_get_type())
#  define MLVIEW_NAME_VALUE_PAIR(object) (GTK_CHECK_CAST((object),GTK_TYPE_MLVIEW_NAME_VALUE_PAIR,MlViewNameValuePair))
#  define MLVIEW_NAME_VALUE_PAIR_CLASS(klass) (GTK_CHECK_CLASS_CAST(klass),GTK_TYPE_MLVIEW_NAME_VALUE_PAIR,MlViewNameValuePairClass)
#  define IS_MLVIEW_NAME_VALUE_PAIR(object) (GTK_CHECK_TYPE((object),GTK_TYPE_MLVIEW_NAME_VALUE_PAIR))
#  define IS_MLVIEW_NAME_VALUE_PAIR_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass),GTK_TYPE_MLVIEW_NAME_VALUE_PAIR))
        typedef struct _MlViewNameValuePair MlViewNameValuePair;
        typedef struct _MlViewNameValuePairClass
         MlViewNameValuePairClass;

        struct _MlViewNameValuePair {
                GtkObject parent_object;
                gchar *name;
                gchar *value;
        };

        struct _MlViewNameValuePairClass {
                GtkObjectClass object_class;
        };
        /*the public methods */
#  define MLVIEW_NAME_VALUE_PAIR_NAME(nvpair) nvpair->name ;
#  define MLVIEW_NAME_VALUE_PAIR_VALUE(nvpair) nvpair->value ;
        guint mlview_name_value_pair_get_type (void);
        GtkObject *mlview_name_value_pair_new (gchar * a_name,
                                               gchar * a_value);
        void mlview_name_value_pair_set_name (MlViewNameValuePair
                                              * a_nvpair,
                                              gchar * a_name);
        void mlview_name_value_pair_set_value
                (MlViewNameValuePair * a_nvpair,
                 gchar * a_value);

#  ifdef __cplusplus
}
#  endif
       /*__cplusplus*/
#endif /*__MLVIEW_NAME_VALUE_PAIR_H__*/
